<%@ Control Language="c#" AutoEventWireup="false" Codebehind="UserUpload.ascx.cs" Inherits="HPS.DNN.Modules.Download.UserUpload" TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>
<%@ Register TagPrefix="dnn" TagName="TextEditor" Src="~/controls/TextEditor.ascx"%>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<%@ Register TagPrefix="dnn" TagName="SectionHead" Src="~/controls/SectionHeadControl.ascx" %>
<asp:panel id="panContent" Width="100%" Visible="True" Runat="server">
	<BR>
	<TABLE cellSpacing="0" cellPadding="8" width="500" align="center" border="0">
		<TBODY>
			<TR>
				<TD>
					<TABLE cellSpacing="0" cellPadding="0" border="0">
						<TBODY>
							<TR class="UserUploadTopRow">
								<TD class="Head" align="center" colSpan="2">
									<asp:Label id="lblTitle" runat="server" ResourceKey="lblTitle">FILE UPLOAD (Moderated)</asp:Label></TD>
							</TR>
							<TR vAlign="top">
								<TD align="left" colSpan="2"><BR>
									<asp:Label class="UserUploadTopGuideline" id="lblNote" Runat="server" ResourceKey="lblNote">Please make sure that your submission meets our <A href="#guidelines">
											guidelines</A>
							before uploading it. <br>
                            ALL FIELDS ARE REQUIRED UNLESS MARKED AS OPTIONAL.</asp:Label><BR>
									<BR>
									<asp:Label id="lblWarning" Runat="server" ResourceKey="lblWarning" CssClass="normalbold"></asp:Label><BR>
									<HR>
								</TD>
							</TR>
							<TR vAlign="top">
							<TR>
								<TD class="Subhead" colSpan="2">
									<dnn:label id="plTitle" runat="server" controlname="txtTitle" suffix="" Resourcekey="plTitle"></dnn:label></TD>
							</TR>
							<TR>
								<TD class="normal" colSpan="2">
									<asp:TextBox id="txtTitle" Width="470" runat="server" cssclass="NormalTextBox" maxlength="150"></asp:TextBox><BR>
									<asp:RequiredFieldValidator id="valTitle" runat="server" ResourceKey="valTitle" CssClass="NormalRed" Display="Static"
										ErrorMessage="You Must Enter A Title For The Object" ControlToValidate="txtTitle"></asp:RequiredFieldValidator><BR>
								</TD>
							</TR>
							<TR>
								<TD class="Subhead">
									<dnn:label id="plDownloadFile" runat="server" controlname="filename" suffix="" Resourcekey="plDownloadFile"></dnn:label></TD>
								<TD class="Subhead" align="right">
									<asp:CheckBox id="chkLocalFile" Runat="server" ResourceKey="chkLocalFile" TextAlign="Left" AutoPostBack="True"></asp:CheckBox></TD>
							<TR id="trInputFile" vAlign="top" runat="server">
								<TD class="normal" colSpan="2"><INPUT id="filename" type="file" size="74" name="filename" runat="server"><BR>
									<BR>
								</TD>
							</TR>
							<TR id="trLocalFilePL" vAlign="top" runat="server">
								<TD class="Subhead" colSpan="2">
									<dnn:label id="plFilesFolder" runat="server" controlname="ddlFilesFolder" suffix="" Resourcekey="ddlFilesFolder"></dnn:label></TD>
							</TR>
							<TR id="trLocalFile" vAlign="top" runat="server">
								<TD class="Subhead" align="left" colSpan="2">
									<asp:DropDownList id="ddlFilesFolder" Width="470px" Runat="server" AutoPostBack="True"></asp:DropDownList></TD>
							</TR>
							<TR id="trLocalFileFilePL" vAlign="top" runat="server">
								<TD class="Subhead" colSpan="2">
									<dnn:label id="plFilesFiles" runat="server" controlname="ddlFilesFiles" suffix="" Resourcekey="ddlFilesFiles"></dnn:label></TD>
							</TR>
							<TR id="trLocalFileFile" vAlign="top" runat="server">
								<TD class="Subhead" align="left" colSpan="2">
									<asp:DropDownList id="ddlFilesFiles" Width="470px" Runat="server" AutoPostBack="True" DataTextField="Text"
										DataValueField="Value"></asp:DropDownList><BR>
									<BR>
								</TD>
							</TR>
							<TR>
								<TD class="Subhead">
									<dnn:label id="plImage" runat="server" controlname="imagename" suffix="" Resourcekey="plImage"></dnn:label></TD>
								<TD class="Subhead" align="right">
									<asp:CheckBox id="chkLocalImage" Runat="server" ResourceKey="chkLocalImage" TextAlign="Left" AutoPostBack="True"></asp:CheckBox></TD>
							</TR>
							<TR id="trInputImage" vAlign="top" runat="server">
								<TD class="normal" colSpan="2"><INPUT id="imagename" type="file" size="74" name="imagename" runat="server"><BR>
									<BR>
								</TD>
							</TR>
							<TR id="trLocalImagePL" vAlign="top" runat="server">
								<TD class="Subhead" colSpan="2">
									<dnn:label id="plImageFolder" runat="server" controlname="ddlImageFolder" suffix="" Resourcekey="ddlImageFolder"></dnn:label></TD>
							</TR>
							<TR id="trLocalImage" vAlign="top" runat="server">
								<TD class="Subhead" align="left" colSpan="2">
									<asp:DropDownList id="ddlImageFolder" Width="470px" Runat="server" AutoPostBack="True"></asp:DropDownList></TD>
							</TR>
							<TR id="trLocalImageFilePL" vAlign="top" runat="server">
								<TD class="Subhead" colSpan="2">
									<dnn:label id="plImageFiles" runat="server" controlname="ddlImageFiles" suffix="" Resourcekey="ddlImageFiles"></dnn:label></TD>
							</TR>
							<TR id="trLocalImageFile" vAlign="top" runat="server">
								<TD class="Subhead" align="left" colSpan="2">
									<asp:DropDownList id="ddlImageFiles" Width="470px" Runat="server" AutoPostBack="True" DataTextField="Text"
										DataValueField="Value"></asp:DropDownList><BR>
									<BR>
								</TD>
							</TR>
							<TR>
								<TD class="Subhead" colSpan="2">
									<dnn:label id="plAuthor" runat="server" controlname="txtName" suffix="" Resourcekey="plAuthor"></dnn:label></TD>
							</TR>
							<TR vAlign="top">
								<TD class="normal" colSpan="2">
									<asp:TextBox id="txtName" Width="470" runat="server" cssclass="NormalTextBox" maxlength="50"></asp:TextBox><BR>
									<asp:RequiredFieldValidator id="valName" runat="server" ResourceKey="valName.ErrorMessage" CssClass="NormalRed" Display="Static"
										ErrorMessage="You Must Enter Your Name" ControlToValidate="txtName"></asp:RequiredFieldValidator><BR>
								</TD>
							</TR>
							<TR>
								<TD class="Subhead" colSpan="2">
									<dnn:label id="plAuthorsEmail" runat="server" controlname="txtEMail" suffix="" Resourcekey="plAuthorsEmail"></dnn:label></TD>
							</TR>
							<TR vAlign="top">
								<TD class="normal" colSpan="2">
									<asp:TextBox id="txtEMail" Width="470" runat="server" cssclass="NormalTextBox" maxlength="50"></asp:TextBox><BR>
									<asp:RequiredFieldValidator id="valEMail" runat="server" ResourceKey="valEMail.ErrorMessage" CssClass="NormalRed" Display="Static"
										ErrorMessage="You Must Enter Your EMail Address" ControlToValidate="txtEMail"></asp:RequiredFieldValidator><BR>
								</TD>
							</TR>
							<TR>
								<TD class="Subhead" colSpan="2">
									<dnn:label id="plPublicEmailAddress" runat="server" controlname="chkPublicEmail" suffix=""
										Resourcekey="plPublicEmailAddress"></dnn:label></TD>
							</TR>
							<TR vAlign="top">
								<TD class="normal" colSpan="2">
									<asp:CheckBox id="chkPublicEmail" Runat="server" ResourceKey="chkPublicEmail" Checked="True" Text="YES, You may display my Email Address as part of my file listing"></asp:CheckBox><BR>
									<BR>
								</TD>
							</TR>
							<TR>
								<TD class="Subhead" colSpan="2">
									<dnn:label id="plPublishDate" runat="server" controlname="txtPublishDate" suffix=":" Resourcekey="plPublishDate"></dnn:label></TD>
							</TR>
							<TR vAlign="top">
								<TD class="normal" colSpan="2">
									<asp:textbox id="txtPublishDate" runat="server" CssClass="NormalTextBox" maxLength="10" columns="10"></asp:textbox>
									<asp:hyperlink id="cmdCalendar" Runat="server" ResourceKey="publishCalendarLink" CssClass="CommandButton"
										Text="Calendar"></asp:hyperlink>
									<asp:comparevalidator id="valPublishDate" runat="server" ResourceKey="PublishDate.ErrorMessage" CssClass="NormalRed"
										Display="Dynamic" ErrorMessage="<br>You have entered an invalid date!" ControlToValidate="txtPublishDate"
										Type="Date" Operator="DataTypeCheck"></asp:comparevalidator></TD>
							</TR>
							<TR>
								<TD class="Subhead" colSpan="2">
									<dnn:label id="plExpireDate" runat="server" controlname="txtExpireDate" suffix=":" Resourcekey="plExpireDate"></dnn:label></TD>
							</TR>
							<TR vAlign="top">
								<TD class="normal" colSpan="2">
									<asp:textbox id="txtExpireDate" runat="server" CssClass="NormalTextBox" maxLength="10" columns="10"></asp:textbox>
									<asp:hyperlink id="cmdCalendar2" Runat="server" ResourceKey="expireCalendarLink" CssClass="CommandButton"
										Text="Calendar"></asp:hyperlink>
									<asp:comparevalidator id="valExpireDate" runat="server" ResourceKey="ExpireDate.ErrorMessage" CssClass="NormalRed"
										Display="Dynamic" ErrorMessage="<br>You have entered an invalid date!" ControlToValidate="txtExpireDate"
										Type="Date" Operator="DataTypeCheck"></asp:comparevalidator></TD>
							</TR>
							<TR>
								<TD class="Subhead" colSpan="2">
									<dnn:label id="plDescription" runat="server" controlname="txtDescription" suffix="" Resourcekey="plDescription"></dnn:label></TD>
							</TR>
							<TR vAlign="top">
								<TD class="normal" colSpan="2">
									<asp:TextBox id="txtDescription" Width="470" runat="server" cssclass="NormalTextBox" Rows="8"
										TextMode="MultiLine"></asp:TextBox><BR>
									<asp:RequiredFieldValidator id="valDescription" runat="server" ResourceKey="valDescription.ErrorMessage" CssClass="NormalRed" Display="Static" ErrorMessage="You Must Enter A Description"
										ControlToValidate="txtDescription"></asp:RequiredFieldValidator><BR>
								</TD>
							</TR>
							<TR>
								<TD class="SubHead" vAlign="top" colSpan="2">
									<dnn:label id=plDownloadRoles runat="server" controlname="chkDownloadRoles" for="<%=chkDownloadRoles.ClientID%>">
									</dnn:label></TD>
							</TR>
							<TR>
								<TD vAlign="top" colSpan="2">
									<asp:checkboxlist id="chkDownloadRoles" runat="server" CssClass="normal" RepeatColumns="2" cellpadding="0"
										cellspacing="0" width="300"></asp:checkboxlist><BR>
								</TD>
							</TR>
							<TR id="trPanLogDownloads" runat="server" visible="false">
								<TD class="SubHead" vAlign="top" colSpan="2">
									<dnn:label id="plLogDownloads" runat="server" controlname="chkLogDownloads"></dnn:label></TD>
							</TR>
							<TR id="trChkLogDownloads" runat="server" visible="false">
								<TD vAlign="top" colSpan="2">
									<asp:checkbox id="chkLogDownloads" runat="server" CssClass="normal" RepeatColumns="2" cellpadding="0"
										cellspacing="0" width="300" ResourceKey="chkLogDownloads"></asp:checkbox><BR>
								</TD>
							</TR>
					</TABLE>
					<P>
						<asp:Label id="lblMessage" Runat="server" CssClass="normalred"></asp:Label>
						<asp:button id="btnUpdate" Runat="server" ResourceKey="cmdUpdate" CssClass="normal" Text="SEND FILE"></asp:button>&nbsp;
						<asp:button id="btnCancel" Runat="server" ResourceKey="cmdCancel" CssClass="normal" Text="Cancel"
							CausesValidation="False"></asp:button></P>
				</TD>
			</TR>
	</TABLE>
</asp:panel>
<br>
<hr>
<a name="guidelines"></a>
<dnn:sectionhead id="lblGuidelineHead" Runat="server" ResourceKey="lblGuidelineHead" CssClass="head"
	includerule="False" isExpanded="True" section="tblGuidelines"></dnn:sectionhead>
<table id="tblGuidelines" runat="server" cellSpacing="0" cellPadding="2" border="0">
	<tr>
		<td>
			<asp:Label ID="lblGuidelines" Runat="server" CssClass="UserUploadBottomGuideline"></asp:Label>
		</td>
	</tr>
</table>
<br>
</TR></TBODY></TABLE></TR></TBODY></TABLE> 
</asp:checkbox></TR></TBODY></TABLE></TR></TBODY></TABLE></asp:Panel>
