<%@ Control Language="c#" AutoEventWireup="false" Codebehind="Download.ascx.cs" Inherits="HPS.DNN.Modules.Download.Download" TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>
<asp:label id="lblDescription" CssClass="normal" Runat="server"></asp:label>
<asp:table id="tblMain" CssClass="normal" Runat="server" BorderWidth="0" CellPadding="0" CellSpacing="0"
	Width="100%">
	<asp:TableRow CssClass="DownloadTopRow">
		<asp:TableCell CssClass="SubHead" HorizontalAlign="Right" Width="100%">
			<asp:Table ID="tblTools" Runat="server" Width="100%" BorderWidth="0" CellPadding="0" CellSpacing="0">
				<asp:TableRow>
					<asp:TableCell HorizontalAlign="Left">
					<asp:Button ID="btnUserUpload" ResourceKey="btnUserUpload" Runat="server" CommandName="UserUpload"
							CssClass="normal" Text="UPLOAD A FILE"></asp:Button>
					<asp:Button ID="btnModerateUploads" Runat="server" CommandName="ModerateUploads" CssClass="normal"
							Text="MODERATE UPLOADS(0)"></asp:Button>&nbsp;
				</asp:TableCell>
					<asp:TableCell HorizontalAlign="Right" CssClass="normal">
					<asp:Label ID="lblSearchFor" Runat="server" ResourceKey="lblSearchFor" CssClass="normal">Search for&nbsp;</asp:Label>
					<asp:TextBox ID="txtSearch" Runat="server" CssClass="normal" TextMode="SingleLine" Width="65"></asp:TextBox>
					<asp:Button ID="btnSearchButton" ResourceKey="btnSearchButton" Runat="server" CssClass="normal"
							Text="Find"></asp:Button>&nbsp;
					<asp:Label ID="lblSearchError" ForeColor="Red" Runat="server" CssClass="Tiny" Visible="False"></asp:Label>&nbsp;
					<asp:Label ID="lblSortBy" ResourceKey="lblSortBy" Runat="server" CssClass="normal">Sort by&nbsp;</asp:Label>
					
					<asp:DropDownList CssClass="normal" ID="cboSortOrder" Runat="server" AutoPostBack="True">
							<asp:ListItem ResourceKey="lstUpdatedDate" Value="UpdatedDate">Date</asp:ListItem>
							<asp:ListItem ResourceKey="lstDownloads" Value="Downloads">Downloads</asp:ListItem>
							<asp:ListItem ResourceKey="lstRatingAverage" Value="RatingAverage">User Rating</asp:ListItem>
							<asp:ListItem ResourceKey="lstName" Value="Name">Name</asp:ListItem>
							<asp:ListItem ResourceKey="lstAuthor" Value="Author">Author</asp:ListItem>
						</asp:DropDownList>
					&nbsp;
					<asp:ImageButton ID="btnRSS" ResourceKey="btnRSS" Runat="server" AlternateText="Display RSS Info"
							CommandName="RSS" Visible="True" />
					&nbsp;
				</asp:TableCell>
				</asp:TableRow>
			</asp:Table>
		</asp:TableCell>
	</asp:TableRow>
	<asp:TableRow CssClass="DownloadItemRow">
		<asp:TableCell Width="100%" HorizontalAlign="Left" VerticalAlign="Top">
			<asp:DataGrid id="dgItems" runat="server" AllowSorting="True" Width="100%" AllowPaging="True"
				BorderWidth="0" ItemStyle-CssClass="normal" AlternatingItemStyle-CssClass="normal" AutoGenerateColumns="False"
				PageSize="5" PagerStyle-Visible="False" Visible="True" EnableViewState="True">
				<HeaderStyle CssClass="normal"></HeaderStyle>
				<FooterStyle CssClass="normal"></FooterStyle>
				<Columns>
					<asp:TemplateColumn>
						<ItemTemplate>
							<asp:Label ID="TheFileName" Runat="server" Visible="False">
								<%# DataBinder.Eval(Container.DataItem,"FileName")%>
							</asp:Label>
							<asp:PlaceHolder ID="PlaceHolder" Runat="server" Visible="False"></asp:PlaceHolder>
						</ItemTemplate>
					</asp:TemplateColumn>
				</Columns>
			</asp:DataGrid>
		</asp:TableCell>
	</asp:TableRow>
	<asp:TableRow CssClass="DownloadBottomRow">
		<asp:TableCell CssClass="SubHead" HorizontalAlign="Right" Width="100%">
		<asp:LinkButton ID="lnkPrev" ResourceKey="lnkPrev" Runat="server" CommandArgument="prev">[<< BACK]</asp:LinkButton>
		&nbsp;&nbsp;
		<asp:Label ID="lblPageIndexText" Runat="server" CssClass="normal"></asp:Label>&nbsp;&nbsp;
		<asp:LinkButton ID="lnkNext" ResourceKey="lnkNext" Runat="server" CommandArgument="next">[NEXT >>]</asp:LinkButton>&nbsp;
	</asp:TableCell>
	</asp:TableRow>
</asp:table>
