<%@ Control Language="c#" AutoEventWireup="false" Codebehind="DownloadEdit.ascx.cs" Inherits="HPS.DNN.Modules.Download.DownloadEdit" TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>
<%@ Register TagPrefix="dnn" TagName="TextEditor" Src="~/controls/TextEditor.ascx"%>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<%@ Register TagPrefix="dnn" TagName="SectionHead" Src="~/controls/SectionHeadControl.ascx" %>
<asp:panel id="panContent" Runat="server" Visible="True">
	<BR>
	<TABLE cellSpacing="0" cellPadding="0" width="600" align="center" border="0">
		<TR>
			<TD width="100"></TD>
			<TD>
				<TABLE cellSpacing="0" cellPadding="0" border="0">
					<TR vAlign="top">
						<TD class="Subhead">
							<dnn:label id="plTitle" runat="server" controlname="txtTitle" suffix="" Resourcekey="plTitle"></dnn:label></TD>
					</TR>
					<TR>
						<TD class="normal">
							<asp:TextBox id="txtTitle" runat="server" maxlength="150" Width="470" cssclass="NormalTextBox"></asp:TextBox><BR>
							<asp:RequiredFieldValidator id="valName" runat="server" ResourceKey="valName" ControlToValidate="txtTitle" ErrorMessage="You Must Enter A Title For The Object"
								Display="Static" CssClass="NormalRed"></asp:RequiredFieldValidator><BR>
							<BR>
						</TD>
					</TR>
					<TR>
						<TD class="Subhead">
							<dnn:label id="plDownloadFile" runat="server" controlname="lblDownloadFile" suffix="" Resourcekey="plDownloadFile"></dnn:label></TD>
					</TR>
					<TR vAlign="top">
						<TD class="normal"><BR>
							<asp:label id="lblDownloadFile" runat="server" CssClass="normalbold">None Specified</asp:label><BR>
							<INPUT id="filename" type="file" size="74" name="filename" runat="server"><BR>
							<BR>
							<BR>
						</TD>
					</TR>
					<TR>
						<TD class="Subhead">
							<dnn:label id="plImage" runat="server" controlname="lblImageFile" suffix="" Resourcekey="plImage"></dnn:label></TD>
					</TR>
					<TR vAlign="top">
						<TD class="normal"><BR>
							<asp:label id="lblImageFile" Runat="server" CssClass="normalbold">None Specified</asp:label><BR>
							<INPUT id="imagename" type="file" size="74" name="filename" runat="server"><BR>
							<BR>
							<BR>
						</TD>
					</TR>
					<TR>
						<TD class="Subhead">
							<dnn:label id="plAuthor" runat="server" controlname="txtAuthorName" suffix="" Resourcekey="plAuthor"></dnn:label></TD>
					</TR>
					<TR vAlign="top">
						<TD class="normal">
							<asp:TextBox id="txtAuthorName" runat="server" maxlength="50" Width="400" cssclass="NormalTextBox"></asp:TextBox><BR>
							<BR>
							<BR>
						</TD>
					</TR>
					<TR>
						<TD class="Subhead">
							<dnn:label id="plAuthorsEmail" runat="server" controlname="txtAuthorEMail" suffix="" Resourcekey="plAuthorsEmail"></dnn:label></TD>
					</TR>
					<TR vAlign="top">
						<TD class="normal">
							<asp:TextBox id="txtAuthorEMail" runat="server" maxlength="50" Width="400" cssclass="NormalTextBox"></asp:TextBox><BR>
							<BR>
							<BR>
						</TD>
					</TR>
					<TR>
						<TD class="Subhead">
							<dnn:label id="plPublishDate" runat="server" controlname="txtPublishDate" suffix=":" Resourcekey="plPublishDate"></dnn:label></TD>
					</TR>
					<TR vAlign="top">
						<TD class="normal">
							<asp:textbox id="txtPublishDate" runat="server" CssClass="NormalTextBox" maxLength="10" columns="10"></asp:textbox>
							<asp:hyperlink id="cmdCalendar" Runat="server" ResourceKey="publishCalendarLink" CssClass="CommandButton"
								Text="Calendar"></asp:hyperlink>
							<asp:comparevalidator id="valPublishDate" runat="server" ResourceKey="PublishDate.ErrorMessage" ControlToValidate="txtPublishDate"
								ErrorMessage="<br>You have entered an invalid date!" Display="Dynamic" CssClass="NormalRed" Type="Date"
								Operator="DataTypeCheck"></asp:comparevalidator></TD>
					</TR>
					<TR>
						<TD class="Subhead">
							<dnn:label id="plExpireDate" runat="server" controlname="txtExpireDate" suffix=":" Resourcekey="plExpireDate"></dnn:label></TD>
					</TR>
					<TR vAlign="top">
						<TD class="normal">
							<asp:textbox id="txtExpireDate" runat="server" CssClass="NormalTextBox" maxLength="10" columns="10"></asp:textbox>
							<asp:hyperlink id="cmdCalendar2" Runat="server" ResourceKey="expireCalendarLink" CssClass="CommandButton"
								Text="Calendar"></asp:hyperlink>
							<asp:comparevalidator id="valExpireDate" runat="server" ResourceKey="ExpireDate.ErrorMessage" ControlToValidate="txtExpireDate"
								ErrorMessage="<br>You have entered an invalid date!" Display="Dynamic" CssClass="NormalRed" Type="Date"
								Operator="DataTypeCheck"></asp:comparevalidator></TD>
					</TR>
					<TR>
						<TD class="Subhead">
							<dnn:label id="plDescription" runat="server" controlname="txtDescription" suffix="" Resourcekey="plDescription"></dnn:label></TD>
					</TR>
					<TR vAlign="top">
						<TD class="normal">
							<asp:TextBox id="txtDescription" runat="server" Width="490" cssclass="NormalTextBox" TextMode="MultiLine"
								Rows="8"></asp:TextBox><BR>
							<BR>
						</TD>
					</TR>
					<TR>
						<TD class="SubHead" vAlign="top">
							<dnn:label id=plDownloadRoles runat="server" controlname="chkDownloadRoles" for="<%=chkDownloadRoles.ClientID%>">
							</dnn:label></TD>
					</TR>
					<TR>
						<TD vAlign="top">
							<asp:checkboxlist id="chkDownloadRoles" runat="server" CssClass="normal" RepeatColumns="2" cellpadding="0"
								cellspacing="0" width="300"></asp:checkboxlist><BR>
						</TD>
					</TR>
					<TR id="trPanLogDownloads" runat="server" visible="false">
						<TD class="SubHead" vAlign="top">
							<dnn:label id="plLogDownloads" runat="server" controlname="chkLogDownloads"></dnn:label></TD>
					</TR>
					<TR id="trChkLogDownloads" runat="server" visible="false">
						<TD vAlign="top">
							<asp:CheckBox id="chkLogDownloads" runat="server" ResourceKey="chkLogDownloads" CssClass="normal"
								RepeatColumns="2" cellpadding="0" cellspacing="0" width="300"></asp:CheckBox><BR>
						</TD>
					</TR>
					<TR id="trPanApproved" runat="server" visible="false">
						<TD class="SubHead" vAlign="top">
							<dnn:label id="plApproved" runat="server" controlname="chkApproved"></dnn:label></TD>
					</TR>
					<TR id="trChkApproved" runat="server" visible="false">
						<TD vAlign="top">
							<asp:CheckBox id="chkApproved" runat="server" CssClass="normal" RepeatColumns="2" cellpadding="0"
								cellspacing="0" width="300"></asp:CheckBox><BR>
						</TD>
					</TR>
				</TABLE>
				<dnn:sectionhead id="secLogView" runat="server" cssclass="SubHead" text="Log View" isExpanded="false"
					includerule="True" section="tblLogView" resourcekey="secLogView"></dnn:sectionhead>
				<TABLE id="tblLogView" width="100%" Visible="False" runat="server">
					<TR>
						<TD class="Subhead">
							<dnn:label id="plFromDate" runat="server" controlname="txtFromDate" suffix=":" Resourcekey="plFromDate"></dnn:label></TD>
					</TR>
					<TR vAlign="top">
						<TD class="normal">
							<asp:textbox id="txtFromDate" runat="server" CssClass="NormalTextBox" maxLength="10" columns="10"></asp:textbox>
							<asp:hyperlink id="cmdCalenderFrom" Runat="server" ResourceKey="cmdCalenderFrom" CssClass="CommandButton"
								Text="Calendar"></asp:hyperlink>
							<asp:comparevalidator id="valCalenderFrom" runat="server" ResourceKey="valCalenderFrom" ControlToValidate="txtFromDate"
								ErrorMessage="<br>You have entered an invalid date!" Display="Dynamic" CssClass="NormalRed" Type="Date"
								Operator="DataTypeCheck"></asp:comparevalidator></TD>
					</TR>
					<TR>
						<TD class="Subhead">
							<dnn:label id="plToDate" runat="server" controlname="txtToDate" suffix=":" Resourcekey="plToDate"></dnn:label></TD>
					</TR>
					<TR vAlign="top">
						<TD class="normal">
							<asp:textbox id="txtToDate" runat="server" CssClass="NormalTextBox" maxLength="10" columns="10"></asp:textbox>
							<asp:hyperlink id="cmdCalenderTo" Runat="server" ResourceKey="cmdCalenderTo" CssClass="CommandButton"
								Text="Calendar"></asp:hyperlink>
							<asp:comparevalidator id="valCalenderTo" runat="server" ResourceKey="valCalenderTo" ControlToValidate="txtToDate"
								ErrorMessage="<br>You have entered an invalid date!" Display="Dynamic" CssClass="NormalRed" Type="Date"
								Operator="DataTypeCheck"></asp:comparevalidator></TD>
					</TR>
					<TR>
						<TD>
							<asp:DataList id="lstLog" Runat="server" ItemStyle-CssClass="Normal" HeaderStyle-CssClass="SubHead"
								GridLines="Both" RepeatLayout="Flow">
								<HeaderTemplate>
									<table border="0" cellpadding="1" cellspacing="2" width="100%">
										<tr>
											<td class="SubHead" width="80px">
												<asp:Label ID="lblLogId" Runat="server" ResourceKey="lblLogId">LogId</asp:Label>
											</td>
											<td class="SubHead" width="150px">
												<asp:Label ID="lblUserID" Runat="server" ResourceKey="lblUserID">User</asp:Label>
											</td>
											<td class="SubHead" width="120px">
												<asp:Label ID="lblDate" Runat="server" ResourceKey="lblDate">Date</asp:Label>
											</td>
										</tr>
									</table>
								</HeaderTemplate>
								<ItemStyle CssClass="Normal"></ItemStyle>
								<ItemTemplate>
									<table border="0" cellpadding="1" cellspacing="2" width="100%">
										<tr>
											<td class="Normal" width="80px">
												<asp:Label ID="Label1" Runat="server">
													<%# DataBinder.Eval(Container.DataItem,"LogId") %>
												</asp:Label>
											</td>
											<td class="Normal" width="150px">
												<asp:Label ID="Label2" Runat="server">
													<%# FormatUser(DataBinder.Eval(Container.DataItem,"UserID").ToString()) %>
												</asp:Label>
											</td>
											<td class="Normal" width="120px">
												<asp:Label ID="Label3" Runat="server">
													<%# DataBinder.Eval(Container.DataItem,"CreatedDate") %>
												</asp:Label>
											</td>
										</tr>
									</table>
								</ItemTemplate>
								<HeaderStyle CssClass="SubHead"></HeaderStyle>
							</asp:DataList></TD>
					</TR>
					<TR>
						<TD align="center">
							<asp:LinkButton id="lnkbViewLog" Runat="server" CssClass="CommandButton" resourcekey="lnkbViewLog"
								BorderStyle="None">View Log</asp:LinkButton></TD>
					</TR>
				</TABLE>
				<P>
					<asp:Label id="lblMessage" Runat="server" CssClass="normalred"></asp:Label><BR>
					<asp:linkbutton id="lnkbUpdate" runat="server" CssClass="CommandButton" resourcekey="cmdUpdate"
						BorderStyle="None">Update</asp:linkbutton>
					<asp:linkbutton id="lnkbCancel" runat="server" CssClass="CommandButton" resourcekey="cmdCancel"
						BorderStyle="None" CausesValidation="False">Cancel</asp:linkbutton>
					<asp:linkbutton id="lnkbDelete" Visible="False" runat="server" CssClass="CommandButton" resourcekey="cmdDelete"
						BorderStyle="None" CausesValidation="False">Delete</asp:linkbutton></P>
			</TD>
		</TR>
	</TABLE>
</asp:panel>
