<%@ Control Language="c#" AutoEventWireup="false" Codebehind="ModerateUpload.ascx.cs" Inherits="HPS.DNN.Modules.Download.ModerateUpload" TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<asp:Table id="tblMain" Width="100%" Runat="server" BorderWidth="0" CssClass="normal" CellPadding="0"
	CellSpacing="0">
	<asp:TableRow CssClass="ModerateTopRow">
		<asp:TableCell Width="100%" HorizontalAlign="Center" VerticalAlign="Top" CssClass="Head">
		<asp:Label ID="lblTitel" Runat="server" ResourceKey="lblTitel">MODERATE UPLOADS (Administrator)</asp:Label>
		</asp:TableCell>
	</asp:TableRow>
	<asp:TableRow Width="100%" VerticalAlign="Top" CssClass="ModerateItemRow">
		<asp:TableCell Width="100%" HorizontalAlign="Left" VerticalAlign="Top">
			<asp:Label Runat="server" ID="lblNoRecords" ResourceKey="lblNoRecords" CssClass="SubHead" Visible="False">
			</asp:Label>
			<asp:DataGrid id="dgItem" runat="server" AllowSorting="True" Width="100%" AllowPaging="True"
				BorderWidth="0"  ItemStyle-CssClass="normal"
				AlternatingItemStyle-CssClass="normal" AutoGenerateColumns="False" PageSize="5" PagerStyle-Visible="False">
				<HeaderStyle CssClass="normal"></HeaderStyle>
				<FooterStyle CssClass="normal"></FooterStyle>
				<Columns>
					<asp:TemplateColumn>
						<ItemTemplate>
							<asp:Label ID="TheFileName" Runat="server" Visible="False">
								<%# DataBinder.Eval(Container.DataItem,"FileName").ToString()%>
							</asp:Label>
							<asp:Table BorderStyle="Solid" BorderColor="DimGray" BorderWidth="1" Width="100%" CellPadding="4"
								CellSpacing="0" Runat="server" CssClass="normal" ID="ItemTable">
								<asp:TableRow>
									<asp:TableCell HorizontalAlign="Left" VerticalAlign="Top" CssClass="Head" BackColor="DimGray">
										<asp:HyperLink id="Hyperlink1" ImageUrl="~/images/edit.gif" NavigateUrl='<%# EditUrl("ItemID",DataBinder.Eval(Container.DataItem,"ItemID").ToString()) %>' Visible="<%# IsEditable %>" runat="server" />
										<font color="white">
											<%# DataBinder.Eval(Container.DataItem,"Name").ToString() %>
										</font>
									</asp:TableCell>
								</asp:TableRow>
							</asp:Table>
							<asp:Table BorderStyle="Solid" BorderColor="DimGray" BorderWidth="1" Width="100%" CellPadding="4"
								CellSpacing="0" Runat="server" CssClass="normal" ID="ItemDetailsTable">
								<asp:TableRow Width="100%" ID="ItemRow" Runat="server">
									<asp:TableCell HorizontalAlign="Left" VerticalAlign="Top" CssClass="normal" BackColor="white" Runat="server"
										ID="Tablecell1">
										<asp:HyperLink ID="hlImage" Runat="server" />
										<asp:Label ID="lblClickToView" Runat="server" ResourceKey="lblClickToView">
											<font size="1" color="DimGray">
												<center>Click on image for larger view</center>
											</font>
										</asp:Label>
									</asp:TableCell>
									<asp:TableCell HorizontalAlign="Left" VerticalAlign="Top" CssClass="normal" ID="tcDetails" Runat="server">
										<asp:Label ID="lblItemDetails" Runat="server"></asp:Label>
										<br>
									</asp:TableCell>
								</asp:TableRow>
							</asp:Table>
							<asp:Table BorderStyle="Solid" BorderColor="DimGray" BorderWidth="1" Width="100%" CellPadding="4"
								CellSpacing="0" Runat="server" CssClass="normal" ID="ItemButtonTable">
								<asp:TableRow Width="100%" ID="ItemButtonRow" Runat="server">
									<asp:TableCell HorizontalAlign="Right" VerticalAlign="Middle" CssClass="SubHead" BackColor="LightGrey"
										ID="ItemButtonCell" Runat="server">
									<asp:LinkButton ID="btnViewFile" Runat="server" ResourceKey="btnViewFile" CssClass="SubHead" CommandName="ViewFile" CommandArgument='<%# DataBinder.Eval(Container.DataItem,"ItemID").ToString()%>'>OPEN FILE</asp:LinkButton>
									&nbsp;&nbsp;
									<asp:LinkButton ID="btnApprove" Runat="server" ResourceKey="btnApprove" CssClass="SubHead" CommandName="Approve" CommandArgument='<%# DataBinder.Eval(Container.DataItem,"ItemID").ToString()%>'>APPROVE</asp:LinkButton>
									&nbsp;&nbsp;
									<asp:LinkButton ID="btnReject" Runat="server" ResourceKey="btnReject" CssClass="SubHead" CommandName="Reject" CommandArgument='<%# DataBinder.Eval(Container.DataItem,"ItemID").ToString()%>'>REJECT</asp:LinkButton><br>
									<asp:Table Width="100%" CellPadding="4" CellSpacing="0" Runat="server" CssClass="normal" ID="tblReject"
											Visible="False">
											<asp:TableRow Width="100%">
												<asp:TableCell CssClass="SubHead">
												<asp:Label ID="lblRejectionNotice" Runat="server" ResourceKey="lblRejectionNotice">REJECTION NOTICE:</asp:Label>
											</asp:TableCell>
											</asp:TableRow>
											<asp:TableRow Width="100%" ID="tblRejectionRow" Runat="server">
												<asp:TableCell HorizontalAlign="Left" VerticalAlign="top" CssClass="normal" ID="tblRejectionCell"
													Runat="server">
													<asp:Label ID="lblRejectionReason" Runat="server" ResourceKey="lblRejectionReason"></asp:Label>
														<BR>
														<asp:TextBox id="txtReason" Width="490" runat="server" TextMode="MultiLine" cssclass="NormalTextBox"
															Rows="4"></asp:TextBox>
														<BR>
														<asp:Button id="btnSendRejection" Runat="server" ResourceKey="btnSendRejection" CssClass="normal" Text="SEND REJECTION NOTICE" CommandName="SendRejection" CommandArgument='<%# DataBinder.Eval(Container.DataItem,"ItemID").ToString() %>'>
														</asp:Button>
													</SPAN>
												</asp:TableCell>
											</asp:TableRow>
										</asp:Table>
								</asp:TableCell>
								</asp:TableRow>
							</asp:Table>
						</ItemTemplate>
					</asp:TemplateColumn>
				</Columns>
			</asp:DataGrid>
			<br>
		</asp:TableCell>
	</asp:TableRow>
	<asp:TableRow CssClass="ModerateBottomRow" Height="25px" Width="100%">
		<asp:TableCell CssClass="SubHead" HorizontalAlign="Right" Width="100%">
			<asp:LinkButton ID="lnkbPrev" Runat="server" ResourceKey="lnkPrev" CommandArgument="prev">[<< BACK]</asp:LinkButton>
			&nbsp;&nbsp;
			<asp:Label ID="lblPageIndexText" Runat="server" CssClass="normal"></asp:Label>&nbsp;&nbsp;
			<asp:LinkButton ID="lnkbNext" Runat="server" ResourceKey="lnkNext" CommandArgument="next">[NEXT >>]</asp:LinkButton>&nbsp;
		</asp:TableCell>
	</asp:TableRow>
	<asp:TableRow Height="25px" Width="100%">
		<asp:TableCell CssClass="SubHead" HorizontalAlign="Left" Width="100%">
			<asp:LinkButton ID="lnkbReturn" Runat="server" ResourceKey="btnReturn" CommandArgument="Return">Return</asp:LinkButton>
		</asp:TableCell>
	</asp:TableRow>
</asp:Table>
